curl --request POST \
--url https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"attempt": {
"name": "<string>",
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"sandbox": "<string>"
},
"parent": "<string>"
}
'import requests
url = "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt"
payload = {
"attempt": {
"name": "<string>",
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"sandbox": "<string>"
},
"parent": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
attempt: {
name: '<string>',
output: 'aSDinaTvuI8gbWludGxpZnk=',
outputRepr: '<string>',
errorMessage: '<string>',
created_at: '2023-01-15T01:30:15.01Z',
started_at: '2023-01-15T01:30:15.01Z',
updated_at: '2023-01-15T01:30:15.01Z',
finished_at: '2023-01-15T01:30:15.01Z',
sandbox: '<string>'
},
parent: '<string>'
})
};
fetch('https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attempt' => [
'name' => '<string>',
'output' => 'aSDinaTvuI8gbWludGxpZnk=',
'outputRepr' => '<string>',
'errorMessage' => '<string>',
'created_at' => '2023-01-15T01:30:15.01Z',
'started_at' => '2023-01-15T01:30:15.01Z',
'updated_at' => '2023-01-15T01:30:15.01Z',
'finished_at' => '2023-01-15T01:30:15.01Z',
'sandbox' => '<string>'
],
'parent' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt"
payload := strings.NewReader("{\n \"attempt\": {\n \"name\": \"<string>\",\n \"output\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"outputRepr\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"created_at\": \"2023-01-15T01:30:15.01Z\",\n \"started_at\": \"2023-01-15T01:30:15.01Z\",\n \"updated_at\": \"2023-01-15T01:30:15.01Z\",\n \"finished_at\": \"2023-01-15T01:30:15.01Z\",\n \"sandbox\": \"<string>\"\n },\n \"parent\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attempt\": {\n \"name\": \"<string>\",\n \"output\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"outputRepr\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"created_at\": \"2023-01-15T01:30:15.01Z\",\n \"started_at\": \"2023-01-15T01:30:15.01Z\",\n \"updated_at\": \"2023-01-15T01:30:15.01Z\",\n \"finished_at\": \"2023-01-15T01:30:15.01Z\",\n \"sandbox\": \"<string>\"\n },\n \"parent\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attempt\": {\n \"name\": \"<string>\",\n \"output\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"outputRepr\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"created_at\": \"2023-01-15T01:30:15.01Z\",\n \"started_at\": \"2023-01-15T01:30:15.01Z\",\n \"updated_at\": \"2023-01-15T01:30:15.01Z\",\n \"finished_at\": \"2023-01-15T01:30:15.01Z\",\n \"sandbox\": \"<string>\"\n },\n \"parent\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"state": "STATE_UNSPECIFIED",
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"sandbox": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}CreateAttempt
Dispatches a failed Call again as its next Attempt.
curl --request POST \
--url https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"attempt": {
"name": "<string>",
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"sandbox": "<string>"
},
"parent": "<string>"
}
'import requests
url = "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt"
payload = {
"attempt": {
"name": "<string>",
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"sandbox": "<string>"
},
"parent": "<string>"
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
attempt: {
name: '<string>',
output: 'aSDinaTvuI8gbWludGxpZnk=',
outputRepr: '<string>',
errorMessage: '<string>',
created_at: '2023-01-15T01:30:15.01Z',
started_at: '2023-01-15T01:30:15.01Z',
updated_at: '2023-01-15T01:30:15.01Z',
finished_at: '2023-01-15T01:30:15.01Z',
sandbox: '<string>'
},
parent: '<string>'
})
};
fetch('https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attempt' => [
'name' => '<string>',
'output' => 'aSDinaTvuI8gbWludGxpZnk=',
'outputRepr' => '<string>',
'errorMessage' => '<string>',
'created_at' => '2023-01-15T01:30:15.01Z',
'started_at' => '2023-01-15T01:30:15.01Z',
'updated_at' => '2023-01-15T01:30:15.01Z',
'finished_at' => '2023-01-15T01:30:15.01Z',
'sandbox' => '<string>'
],
'parent' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Connect-Protocol-Version: <connect-protocol-version>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt"
payload := strings.NewReader("{\n \"attempt\": {\n \"name\": \"<string>\",\n \"output\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"outputRepr\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"created_at\": \"2023-01-15T01:30:15.01Z\",\n \"started_at\": \"2023-01-15T01:30:15.01Z\",\n \"updated_at\": \"2023-01-15T01:30:15.01Z\",\n \"finished_at\": \"2023-01-15T01:30:15.01Z\",\n \"sandbox\": \"<string>\"\n },\n \"parent\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Connect-Protocol-Version", "<connect-protocol-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt")
.header("Connect-Protocol-Version", "<connect-protocol-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attempt\": {\n \"name\": \"<string>\",\n \"output\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"outputRepr\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"created_at\": \"2023-01-15T01:30:15.01Z\",\n \"started_at\": \"2023-01-15T01:30:15.01Z\",\n \"updated_at\": \"2023-01-15T01:30:15.01Z\",\n \"finished_at\": \"2023-01-15T01:30:15.01Z\",\n \"sandbox\": \"<string>\"\n },\n \"parent\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.outerproduct.com/outerproduct.run.v1alpha.RunService/CreateAttempt")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Connect-Protocol-Version"] = '<connect-protocol-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attempt\": {\n \"name\": \"<string>\",\n \"output\": \"aSDinaTvuI8gbWludGxpZnk=\",\n \"outputRepr\": \"<string>\",\n \"errorMessage\": \"<string>\",\n \"created_at\": \"2023-01-15T01:30:15.01Z\",\n \"started_at\": \"2023-01-15T01:30:15.01Z\",\n \"updated_at\": \"2023-01-15T01:30:15.01Z\",\n \"finished_at\": \"2023-01-15T01:30:15.01Z\",\n \"sandbox\": \"<string>\"\n },\n \"parent\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"state": "STATE_UNSPECIFIED",
"output": "aSDinaTvuI8gbWludGxpZnk=",
"outputRepr": "<string>",
"errorMessage": "<string>",
"created_at": "2023-01-15T01:30:15.01Z",
"started_at": "2023-01-15T01:30:15.01Z",
"updated_at": "2023-01-15T01:30:15.01Z",
"finished_at": "2023-01-15T01:30:15.01Z",
"sandbox": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Authorizations
A user session token or personal API key.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
Response
Success
One dispatch of a Call to compute.
Resource name in the form
runs/{run}/calls/{call}/attempts/{positive-integer}. The integer is the
one-based ordinal within its Call; ordinals are contiguous and never reused.
^runs/[0-9a-f-]{36}/calls/[0-9a-f]{64}/attempts/[1-9][0-9]*$Current externally observable lifecycle state of this dispatch.
STATE_UNSPECIFIED, STATE_PENDING, STATE_RUNNING, STATE_COMPLETED, STATE_FAILED, STATE_CANCELLED, STATE_CANCELLING cloudpickle of the successful return value, when one exists.
Truncated repr of the successful return value, when one exists.
Failure or cancellation explanation, when one exists.
Time this Attempt was durably created.
"2023-01-15T01:30:15.01Z"
Time the Attempt's code began, as its runtime reported it once it finished; until then, the time the node claimed the Attempt.
"2023-01-15T01:30:15.01Z"
Time of the most recent observed lifecycle transition.
"2023-01-15T01:30:15.01Z"
Time the Attempt's code ended, as its runtime reported it; otherwise when it became terminal.
"2023-01-15T01:30:15.01Z"
The sandbox it runs in, once started on a node.